#ifndef CreateFlashJobBySemantic_H
#define CreateFlashJobBySemantic_H

#include <Command.h>

#include "ComChannel.h"
#include "DFlashSession.h"
namespace ProtoGenWrapper
{
	class CreateFlashJobBySemantic : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CreateFlashJobBySemantic(const ComChannel comChannel, const std::string semantic, const DFlashSession flashSession);
		CreateFlashJobBySemantic(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, std::string& semantic, DFlashSession& flashSession);

		static int GetCommandType();
	};
}
#endif // CreateFlashJobBySemantic
